Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

DeleteVmBackup

DeleteVmBackup

DELETE/zstack/v1/vm-backups/{groupUuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}

Operation ID

DeleteVmBackup

Since

3.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • groupUuid
    StringRequired

    The UUID of the backup group.

  • backupStorageUuids
    List

    Optional. The UUIDs of backup storage.

  • deleteMode
    String

    Optional.

Query Parameters

  • backupStorageUuids
    String

    Query parameter.

  • deleteMode
    String

    Query parameter.

Body Fields

  • systemTags
    List

    Optional.

  • userTags
    List

    Optional.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}